std::is_swappable< _Tp >(3)

NAME
std::is_swappable< _Tp > - Metafunctions used for detecting swappable types: p0185r1.

SYNOPSIS

Inherits type< _Tp >.

Detailed Description

  template<typename _Tp>
struct std::is_swappable< _Tp >" Metafunctions used for detecting swappable types: p0185r1. is_swappable

Definition at line 2720 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.